<?php 
defined('ABSPATH') or die("No direct script access!");

/*
* Adding extra field on New product popup/without popup form
*/

add_action( 'dokan_new_product_after_product_tags','qcld_bargain_new_product_field',10 );
if(!function_exists('qcld_bargain_new_product_field')){
	function qcld_bargain_new_product_field(){ ?>

     	<div class="dokan-form-group">
     		<label for="qcld_minimum_acceptable_price" class="form-label"><?php esc_html_e( 'Bargain Bot Minimum Acceptable Price ', 'dokan-lite' ); ?></label>
            <input type="text" class="dokan-form-control" name="qcld_minimum_acceptable_price" placeholder="<?php esc_attr_e( 'Minimum Acceptable Price ', 'dokan-lite' ); ?>">
        </div>

        <div class="dokan-form-group">
            <label for="qcld_minimum_acceptable_multi_currency" class="form-label"><?php esc_html_e( 'Bargain Bot Minimum Acceptable Type', 'dokan-lite' ); ?></label>
            <select name="qcld_minimum_acceptable_multi_currency" id="qcld_minimum_acceptable_multi_currency" class="dokan-form-control">
            	<option value="simple"> <?php esc_html_e( 'Fixed Amount', 'dokan-lite' ); ?></option>
            	<option value="multiple"> <?php esc_html_e( 'Percentage', 'dokan-lite' ); ?></option>
            </select>
        </div>

<?php

	}

}

/*
* Saving product field data for edit and update
*/

add_action( 'dokan_new_product_added','qcld_bargain_save_add_product_meta', 10, 2 );
add_action( 'dokan_product_updated', 'qcld_bargain_save_add_product_meta', 10, 2 );
if(!function_exists('qcld_bargain_save_add_product_meta')){
	function qcld_bargain_save_add_product_meta($product_id, $postdata){

	    if ( ! dokan_is_user_seller( get_current_user_id() ) ) {
	        return;
	    }

	    if ( ! empty( $postdata['qcld_minimum_acceptable_price'] ) ) {
	        update_post_meta( $product_id, 'qcld_minimum_acceptable_price', $postdata['qcld_minimum_acceptable_price'] );
	    }

	    if ( ! empty( $postdata['qcld_minimum_acceptable_multi_currency'] ) ) {
	        update_post_meta( $product_id, 'qcld_minimum_acceptable_multi_currency', $postdata['qcld_minimum_acceptable_multi_currency'] );
	    }

	}
}

/*
* Showing field data on product edit page
*/

add_action('dokan_product_edit_after_product_tags','qcld_bargain_show_on_edit_page',99,2);
if(!function_exists('qcld_bargain_show_on_edit_page')){
	function qcld_bargain_show_on_edit_page($post, $post_id){
	$qcld_minimum_acceptable_price  = get_post_meta( $post_id, 'qcld_minimum_acceptable_price', true );
	$qcld_minimum_acceptable_multi_currency  = get_post_meta( $post_id, 'qcld_minimum_acceptable_multi_currency', true );

?>
	   <div class="dokan-form-group">
	        <input type="hidden" name="qcld_minimum_acceptable_price" id="dokan-edit-product-id" value="<?php echo esc_attr( $post_id ); ?>"/>
	        <label for="qcld_minimum_acceptable_price" class="form-label"><?php esc_html_e( 'Bargain Bot Minimum Acceptable Price ', 'dokan-lite' ); ?></label>
	        <?php dokan_post_input_box( $post_id, 'qcld_minimum_acceptable_price', array( 'placeholder' => __( 'Minimum Acceptable Price ', 'dokan-lite' ), 'value' => $qcld_minimum_acceptable_price ) ); ?>
	        <div class="dokan-product-title-alert dokan-hide">
	         <?php esc_html_e( 'Please enter Bargain Bot Minimum Acceptable Price! sfdaf', 'dokan-lite' ); ?>
	        </div>
	    </div> 


	    <div class="dokan-form-group">
	        <label for="product_tag" class="form-label"><?php esc_html_e( 'Bargain Bot Minimum Acceptable Type', 'dokan-lite' ); ?></label>
	        <select name="qcld_minimum_acceptable_multi_currency" id="qcld_minimum_acceptable_multi_currency" class="dokan-form-control">
	        	<option value="simple" <?php if($qcld_minimum_acceptable_multi_currency == 'simple'){echo "selected='selected'"; } ?> >Fixed Amount</option>
	        	<option value="multiple" <?php if($qcld_minimum_acceptable_multi_currency == 'multiple'){echo "selected='selected'"; } ?> >Percentage</option>
	        </select>
	    </div>
	<?php

	}

}

// showing on single product page
//add_action( 'woocommerce_single_product_summary', 'qcld_bargain_show_product_code', 13 );
if(!function_exists('qcld_bargain_show_product_code')){
	function qcld_bargain_show_product_code(){
	    global $product;

	    if ( empty( $product ) ) {
	        return;
	    }

	    if ( !$product->is_type( 'simple' ) || !$product->is_type( 'variable' ) ) {
	        return;
	    }
		
		$qcld_minimum_acceptable_price = get_post_meta( $product->get_id(), 'qcld_minimum_acceptable_price', true );
		$qcld_minimum_acceptable_multi_currency = get_post_meta( $product->get_id(), 'qcld_minimum_acceptable_multi_currency', true );

	    if ( ! empty( $qcld_minimum_acceptable_price ) ) {
	        ?>
	            <span class="details"><?php echo esc_attr__( 'Bargain Bot Minimum Acceptable Price : ', 'dokan-lite' ); ?> <strong><?php echo esc_attr( $qcld_minimum_acceptable_price ); ?></strong></span>
	        <?php
	    }

	    if ( ! empty( $qcld_minimum_acceptable_multi_currency ) ) {
	        ?>
	            <span class="details"><?php echo esc_attr__( 'Bargain Bot Minimum Acceptable Type : ', 'dokan-lite' ); ?> <strong><?php echo esc_attr( $qcld_minimum_acceptable_multi_currency ); ?></strong></span>
	        <?php
	    }


	}

}