<?php
/**
* Plugin Name: Bargaining Chatbot
* Plugin URI: https://www.persianscript.ir
* Description: Bargain Bot for WooCommerce
* Version: 1.9.1
* Author: پرشین اسکریپت
* Author URI: https://www.persianscript.ir
* Requires at least: 4.6
* Tested up to: 6.0.2
* Text Domain: woo-minimum-acceptable-price
* License: GPL2
*/

defined('ABSPATH') or die("No direct script access!");

if ( ! defined( 'QCLD_MAP_PLUGIN_URL' ) ) {
	define('QCLD_MAP_PLUGIN_URL', plugin_dir_url(__FILE__));
}
if ( ! defined( 'QCLD_MAP_EXTENDED_IMG_URL' ) ) {
	define('QCLD_MAP_EXTENDED_IMG_URL', QCLD_MAP_PLUGIN_URL . "images/");
}

require_once('wpbot-minimum-acceptable-price-function.php');
require_once('wpbot-minimum-acceptable-price-assets.php');
require_once('wpbot-minimum-acceptable-price-variation.php');
require_once('wpbot-minimum-acceptable-price-shortcode.php');
require_once('wpbot-minimum-acceptable-price-cart-discount.php');
require_once('plugin-upgrader/plugin-upgrader.php');

if ( get_option('qcld_minimum_accept_dokan_multivendor_user') == 1 ) {
require_once('wpbot-minimum-acceptable-dokan-vendor-field.php');
}

require_once('wpbot-minimum-acceptable-price-function-shop-page.php');

/*
* Post Type settings area
*/
class Qcld_Bargain_pro_Admin_Area_Controller {
	
	function __construct(){

		add_action( 'admin_menu', array($this,'qcld_bargain_admin_menu') );
		add_action( 'admin_init', array($this, 'qcld_bargain_register_plugin_settings') );
		add_action( 'activated_plugin', array( $this, 'qcld_bargain_activation_redirect') );

	}

	public function qcld_bargain_admin_menu(){

			add_menu_page( __('Bargain Bot','woo-minimum-acceptable-price'), __('Bargain Bot','woo-minimum-acceptable-price'), 'manage_options', 'wbpt-minimum-acceptable-price-page', 
				array( $this, 'qcld_bargain_settings_page' ), 'dashicons-cart', '9' );
			
			add_submenu_page( 'wbpt-minimum-acceptable-price-page', __('Help & License','woo-minimum-acceptable-price'), __('Help & License','woo-minimum-acceptable-price'), 'manage_options','minimum-acceptable-price-help-license', array($this, 'qcld_minimum_accep_price_license_callback') );
		
    }
	
	public function qcld_bargain_register_plugin_settings(){	


		$args = array(
			'type' => 'string', 
			'sanitize_callback' => 'sanitize_text_field',
			'default' => NULL,
		);	

		$args_email = array(
			'type' => 'string', 
			'sanitize_callback' => 'sanitize_email',
			'default' => NULL,
		);		
		
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_enable', $args );

		//if ( class_exists('qcld_wb_Chatbot') || class_exists('QCLD_Woo_Chatbot')) {
			register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_product_lightbox_modal', $args );
		//}
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qlcd_map_chatbot_admin_email', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qlcd_map_chatbot_admin_email_subject', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_product_exclude', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_allow_only_logged_in_user', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_allow_send_mail_to_product_author', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_product_discount_for_all_enable', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_product_discount_price', $args );
		
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_random_discount_for_all_enable', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_random_min_discount_price', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_random_max_discount_price', $args );

		register_setting( 'qc-wppt-map-plugin-settings-group', 'bargain_selected_categories', $args );


		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_product_exit_intent_single_page', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_button_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_heading_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_heading_text_again', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_low_alert_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_low_alert_text_two', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_too_low_alert_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_acceptable_price', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_acceptable_prev_price', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_acceptable_copoun_code', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_more_than_offer_price', $args );

		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_button_position', $args );

		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_symbol_position', $args );

		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_skip_add_to_cart', $args );

		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_fontawesome_icon_position', $args );

		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_bargain_allowed_times', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_bargain_max_allowed_times', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_enable_minimum_quantity', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_minimum_quantity', $args );

		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_minimum_user_limit_enable', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_minimum_user_limit', $args );

		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_product_disable_email', $args );

		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_product_disable_phone', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_dokan_multivendor_user', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_fontawesome_icon', $args );

		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_talk_to_boss', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_get_email_address', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_get_phone_number', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_thanks_test', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_negotiating_test', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_congratulations_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_modal_submit_button_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_congratulations_added_to_cart_msg', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_congratulations_added_to_cart', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_modal_checkout_now_button_text', $args );

		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_modal_yes_button_text', $args );

		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_modal_no_button_text', $args );
		
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_modal_or_button_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_modal_shortcode_id_empty_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_min_qty_req_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_modal_variation_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_bargain_max_allowed_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_minimum_user_limit_msg_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_minimum_click_for_use_phone_text', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_minimum_click_for_use_email_text', $args );

		// exit intent
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_product_exit_intent_single_page', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_product_exit_intent_one_per_visit', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_product_exit_intent_individual_work', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_exit_intent_lang_price', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_exit_intent_lang_msg', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_exit_intent_lang_button', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_price_enable_shop_page', $args );
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qcld_minimum_accept_shop_price_button_position', $args );

		// custom css
		register_setting( 'qc-wppt-map-plugin-settings-group', 'qlcd_map_chatbot_custom_global_css', $args );


		
	}
	
	public function qcld_bargain_activation_redirect( $plugin ) {
		if( $plugin == plugin_basename( __FILE__ ) ) {
			exit( wp_redirect( admin_url( 'admin.php?page=minimum-acceptable-price-help-license') ) );
		}
	}
	
	public function qcld_bargain_settings_page(){
		
	?>
	<div class="wrap swpm-admin-menu-wrap" id="tabs">
		<h1><?php esc_html_e('Bargaining Chatbot Settings','woo-minimum-acceptable-price') ?></h1>
	
		<ul class="nav-tab-wrapper bargain_nav_container">
			<li style="margin-bottom:0px"><a class="nav-tab bargain_click_handle nav-tab-active" href="#tab-1"><?php esc_html_e('General Settings','woo-minimum-acceptable-price') ?></a></li>
			<li style="margin-bottom:0px"><a class="nav-tab bargain_click_handle" href="#tab-2"><?php esc_html_e('Language','woo-minimum-acceptable-price') ?></a></li>
			<li style="margin-bottom:0px"><a class="nav-tab bargain_click_handle" href="#tab-3"><?php esc_html_e('Exit Intent','woo-minimum-acceptable-price') ?></a></li>
			<li style="margin-bottom:0px"><a class="nav-tab bargain_click_handle" href="#tab-4"><?php esc_html_e('Email Settings','woo-minimum-acceptable-price') ?></a></li>
			<li style="margin-bottom:0px"><a class="nav-tab bargain_click_handle" href="#tab-5"><?php esc_html_e('Shortcode','woo-minimum-acceptable-price') ?></a></li>
			<li style="margin-bottom:0px"><a class="nav-tab bargain_click_handle" href="#tab-6"><?php esc_html_e('Custom CSS','woo-minimum-acceptable-price') ?></a></li>
			<li style="margin-bottom:0px"><a class="nav-tab bargain_click_handle" href="#tab-7"><?php esc_html_e('Help','woo-minimum-acceptable-price') ?></a></li>
		</ul>
		
		<form method="post" action="options.php">
			<?php settings_fields( 'qc-wppt-map-plugin-settings-group' ); ?>
			<?php do_settings_sections( 'qc-wppt-map-plugin-settings-group' ); ?>
			<div id="tab-1">
				<table class="form-table">
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Enable Bargaining Chatbot','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_price_enable" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_enable')!=''? esc_attr( get_option('qcld_minimum_accept_price_enable')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_price_enable') == '' ? esc_attr( get_option('qcld_minimum_accept_price_enable')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e('If you enable this option a new "Minimum Acceptable Price" field will be added along with all product which will be your last bargain price. You have to set the minimum price with the product to get the "Make Your Offer Now" button visible.','woo-minimum-acceptable-price') ?></i>							
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Enable global maximum acceptable discount for all products','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_product_discount_for_all_enable" size="100" value="<?php echo (get_option('qcld_minimum_accept_product_discount_for_all_enable')!=''? esc_attr( get_option('qcld_minimum_accept_product_discount_for_all_enable')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_product_discount_for_all_enable') == '' ? esc_attr( get_option('qcld_minimum_accept_product_discount_for_all_enable')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e('You can also define Minimum Acceptable Price under individual product to Override the global value.','woo-minimum-acceptable-price') ?></i>							
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Global Minimum Product Price','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="number" name="qcld_minimum_accept_product_discount_price" style="width:100px" size="100" value="<?php echo (get_option('qcld_minimum_accept_product_discount_price')!=''?esc_attr( get_option('qcld_minimum_accept_product_discount_price')):''); ?>"  /> <b>( % )</b>
							<i><?php esc_html_e('If you want to give maximum of 5% discount enter 95%','woo-minimum-acceptable-price') ?></i>
							<br><i style="color:indianred"><?php esc_html_e('**Required if you enable the exit intent','woo-minimum-acceptable-price') ?></i>
							<br><br><i><?php esc_html_e('You can also define Minimum Acceptable Price under individual product without enabling Global discount.','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Enable global Random acceptable discount for all products','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_random_discount_for_all_enable" size="100" value="<?php echo (get_option('qcld_minimum_accept_random_discount_for_all_enable')!=''? esc_attr( get_option('qcld_minimum_accept_random_discount_for_all_enable')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_random_discount_for_all_enable') == '' ? esc_attr( get_option('qcld_minimum_accept_random_discount_for_all_enable')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e('You can also define Random Acceptable Price under individual product to Override the global value.','woo-minimum-acceptable-price') ?></i>							
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Random Global Min Discount','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="number" name="qcld_minimum_accept_random_min_discount_price" style="width:100px" size="100" value="<?php echo (get_option('qcld_minimum_accept_random_min_discount_price')!=''?esc_attr( get_option('qcld_minimum_accept_random_min_discount_price')):''); ?>"  /> <b>( % )</b> <i><?php esc_html_e('If you want to give minimum of 10% discount enter 90%','woo-minimum-acceptable-price') ?></i>
							<br><br><i><?php esc_html_e('You can also define Random Minimum Acceptable Price under individual product without enabling Global discount.','woo-minimum-acceptable-price') ?></i><br>
							
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Random Global Max Discount','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="number" name="qcld_minimum_accept_random_max_discount_price" style="width:100px" size="100" value="<?php echo (get_option('qcld_minimum_accept_random_max_discount_price')!=''?esc_attr( get_option('qcld_minimum_accept_random_max_discount_price')):''); ?>"  /> <b>( % )</b> <i><?php esc_html_e('If you want to give maximum of 5% discount enter 95%','woo-minimum-acceptable-price') ?></i>
							<br><br><i><?php esc_html_e('You can also define Random Miximum Acceptable Price under individual product without enabling Global discount.','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Exclude categories from global discount ','woo-minimum-acceptable-price') ?></th>
						<td>
							<?php $product_categories = get_terms('product_cat'); ?>
                        	<?php $selected_categories = get_option('bargain_selected_categories'); ?>
							<select name="bargain_selected_categories[]" id="bargain_categories" multiple="multiple">
                            <option value="">None</option>
                            <?php if ($selected_categories != ''): ?>
                                <?php foreach ($selected_categories as $category) {
                                    if ($term = get_term_by('id', $category, 'product_cat')) { ?>
                                        <option value="<?php echo $category; ?>"
                                                selected="selected"><?php echo $term->name; ?></option>
                                    <?php }
                                }
                                ?>
                            <?php endif; ?>
                            <?php foreach ($product_categories as $cats): ?>
                                <option value="<?php echo $cats->term_id; ?>"><?php echo $cats->name; ?></option>
                            <?php endforeach; ?>
                        </select>
							<br><br><i><?php esc_html_e('You can also define category for enabling Global discount','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Frontend Button position','woo-minimum-acceptable-price') ?></th>
						<td>
                            <p>
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_price_button_position" type="radio" name="qcld_minimum_accept_price_button_position" value="qcld_before_add_to_cart_button" <?php echo (get_option('qcld_minimum_accept_price_button_position') == 'qcld_before_add_to_cart_button' ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('Before Add to Cart Button','woo-minimum-acceptable-price') ?> </label>
                            </p>
                            <p>
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_price_button_position" type="radio" name="qcld_minimum_accept_price_button_position" value="qcld_after_add_to_cart_button" <?php echo (get_option('qcld_minimum_accept_price_button_position') == 'qcld_after_add_to_cart_button' ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('After Add to Cart Button','woo-minimum-acceptable-price') ?>  </label>
                            </p>
                            <p>
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_price_button_position" type="radio" name="qcld_minimum_accept_price_button_position" value="qcld_before_add_to_cart_form" <?php echo (get_option('qcld_minimum_accept_price_button_position') == 'qcld_before_add_to_cart_form' ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('Before Add to Cart Form ','woo-minimum-acceptable-price') ?> </label>
                            </p>
                            <p>
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_price_button_position" type="radio" name="qcld_minimum_accept_price_button_position" value="qcld_after_add_to_cart_form"  <?php echo (get_option('qcld_minimum_accept_price_button_position') == 'qcld_after_add_to_cart_form' ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('After Add to Cart Form','woo-minimum-acceptable-price') ?> </label>
                            </p>
                            <p>
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_price_button_position" type="radio" name="qcld_minimum_accept_price_button_position" value="qcld_product_meta_end"  <?php echo (get_option('qcld_minimum_accept_price_button_position') == 'qcld_product_meta_end' ? esc_attr( 'checked="checked"' ): ''); ?>>
                                    <?php esc_html_e('After Product Meta','woo-minimum-acceptable-price') ?> </label>
                            </p>

							<p><i><?php esc_html_e('If you want to change Frontend Button position','woo-minimum-acceptable-price') ?></i></p>						
						</td>
					</tr>
					<?php 
					// if ( class_exists('qcld_wb_Chatbot') || class_exists('QCLD_Woo_Chatbot')) {
					?>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Lightbox Modal','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_product_lightbox_modal" size="100" value="<?php echo (get_option('qcld_minimum_accept_product_lightbox_modal')!=''? esc_attr( get_option('qcld_minimum_accept_product_lightbox_modal')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_product_lightbox_modal') == '' ? esc_attr( get_option('qcld_minimum_accept_product_lightbox_modal')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e('Use Lightbox Modal instead of WoowBot for bargaining','woo-minimum-acceptable-price') ?></i>							
						</td>
					</tr>

				<?php //} ?>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Exclude sale items','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_product_exclude" size="100" value="<?php echo (get_option('qcld_minimum_accept_product_exclude')!=''? esc_attr( get_option('qcld_minimum_accept_product_exclude')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_product_exclude') == '' ? esc_attr( get_option('qcld_minimum_accept_product_exclude')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e('If enabled Bargaining button will not display for products that are already on sale.','woo-minimum-acceptable-price') ?></i>							
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Allow only logged in user','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_allow_only_logged_in_user" size="100" value="<?php echo (get_option('qcld_minimum_accept_allow_only_logged_in_user')!=''? esc_attr( get_option('qcld_minimum_accept_allow_only_logged_in_user')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_allow_only_logged_in_user') == '' ? esc_attr( get_option('qcld_minimum_accept_allow_only_logged_in_user')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e('Allow only users who are logged in to bargain.','woo-minimum-acceptable-price') ?></i>							
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Currency Symbol Position','woo-minimum-acceptable-price') ?></th>
						<td>
                            <p>
                                <label class="radio-inline" style="padding-right: 15px;">
                                    <input id="qcld_minimum_accept_price_symbol_position" type="radio" name="qcld_minimum_accept_price_symbol_position" value="qcld_left_symbol" <?php echo ((get_option('qcld_minimum_accept_price_symbol_position') == 'qcld_left_symbol' || get_option('qcld_minimum_accept_price_symbol_position') == '') ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('Left','woo-minimum-acceptable-price') ?> </label>
                            
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_price_symbol_position" type="radio" name="qcld_minimum_accept_price_symbol_position" value="qcld_right_symbol" <?php echo (get_option('qcld_minimum_accept_price_symbol_position') == 'qcld_right_symbol' ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('Right','woo-minimum-acceptable-price') ?>  </label>
                            </p>
							<p><i><?php esc_html_e('If you want to change frontend currency symbol position.','woo-minimum-acceptable-price') ?></i></p>						
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Bargaining is allowed','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="number" name="qcld_minimum_accept_bargain_allowed_times" style="width:100px" size="100" value="<?php echo (get_option('qcld_minimum_accept_bargain_allowed_times')!=''?esc_attr( get_option('qcld_minimum_accept_bargain_allowed_times')):'3'); ?>"  /> <b> Times </b>
							<br><br><i><?php esc_html_e('Bargaining is allowed before showing and accepting minmum price set by admin','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Maximum Allowed Bargaining','woo-minimum-acceptable-price') ?></th>
						<td>
							
							<input type="number" name="qcld_minimum_accept_bargain_max_allowed_times" style="width:100px" size="100" value="<?php echo (get_option('qcld_minimum_accept_bargain_max_allowed_times')!=''?esc_attr( get_option('qcld_minimum_accept_bargain_max_allowed_times')):''); ?>"  /> <b> Times </b> <i> ( Leave empty if you do no want to apply a maximum limit )</i>
							<br><br><i><?php esc_html_e('Maximum number of times bargaining is allowed. After this number, shopper must buy at original price for that product. The minmum price set by admin will NOT be diaplayed.','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Enable Bargaining user limit','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_minimum_user_limit_enable" size="100" value="<?php echo (get_option('qcld_minimum_accept_minimum_user_limit_enable')!=''? esc_attr( get_option('qcld_minimum_accept_minimum_user_limit_enable')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_minimum_user_limit_enable') == '' ? esc_attr( get_option('qcld_minimum_accept_minimum_user_limit_enable')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e('Limit Maximum Allowed Bargaining Per Day
( If enabled user will not be allowed to bargain more than Maximum Allowed Bargaining within 24 hours period for each product )','woo-minimum-acceptable-price') ?></i>							
						</td>
					</tr>

					<tr valign="top">
						<th scope="row"><?php esc_html_e('Enable minimum quantity ','woo-minimum-acceptable-price') ?></th>
						<td>
							
								<input type="checkbox" name="qcld_minimum_accept_enable_minimum_quantity" size="100" value="<?php echo (get_option('qcld_minimum_accept_enable_minimum_quantity')!=''? esc_attr( get_option('qcld_minimum_accept_enable_minimum_quantity')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_enable_minimum_quantity') == '' ? esc_attr( get_option('qcld_minimum_accept_enable_minimum_quantity')): esc_attr( 'checked="checked"' )); ?>  />
							<i><?php esc_html_e('Bargainbot to enable minimum quantity required','woo-minimum-acceptable-price') ?></i>						
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Define minimum quantity','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="number" name="qcld_minimum_accept_minimum_quantity" style="width:100px" size="100" value="<?php echo (get_option('qcld_minimum_accept_minimum_quantity')!=''?esc_attr( get_option('qcld_minimum_accept_minimum_quantity')):'1'); ?>"  />	
							<i><?php esc_html_e('Bargainbot to define minimum quantity','woo-minimum-acceptable-price') ?></i>						
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Sending the final offer by email','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_product_disable_email" size="100" value="<?php echo (get_option('qcld_minimum_accept_product_disable_email')!=''? esc_attr( get_option('qcld_minimum_accept_product_disable_email')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_product_disable_email') == '' ? esc_attr( get_option('qcld_minimum_accept_product_disable_email')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e('Disable sending the final offer by email','woo-minimum-acceptable-price') ?></i>						
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Sending the final offer by email','woo-minimum-acceptable-price') ?></th>
						<td>


                            <p>
                            
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_product_disable_phone" type="radio" name="qcld_minimum_accept_product_disable_phone" value="" <?php echo (get_option('qcld_minimum_accept_product_disable_phone') == '' ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('Enable sending the final offer with Email field','woo-minimum-acceptable-price') ?>  </label>
                            </p>
                            <p>
                                <label class="radio-inline" style="padding-right: 15px;">
                                    <input id="qcld_minimum_accept_product_disable_phone" type="radio" name="qcld_minimum_accept_product_disable_phone" value="1" <?php echo ((get_option('qcld_minimum_accept_product_disable_phone') == '1' || get_option('qcld_minimum_accept_product_disable_phone') == '1') ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('Enable sending the final offer with Phone Number','woo-minimum-acceptable-price') ?> </label>
                            </p>
                            <p>
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_product_disable_phone" type="radio" name="qcld_minimum_accept_product_disable_phone" value="2" <?php echo (get_option('qcld_minimum_accept_product_disable_phone') == '2' ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('Enable sending the final offer with Email or Phone Number','woo-minimum-acceptable-price') ?>  </label>
                            </p>
					
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Button font-awesome icon','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_fontawesome_icon" style="width:100px" size="100" value="<?php echo (get_option('qcld_minimum_accept_fontawesome_icon')!=''?esc_attr( get_option('qcld_minimum_accept_fontawesome_icon')):''); ?>"  />	
							<i><?php esc_html_e('Button to define font-awesome icon. Ex: fa-gift ','woo-minimum-acceptable-price') ?> <a href="<?php echo esc_url("https://fontawesome.com/v4.7/icons/"); ?>" target="_blank"> <?php esc_html_e('Link','woo-minimum-acceptable-price') ?></a></i>						
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Button icon position','woo-minimum-acceptable-price') ?></th>
						<td>
                            <p>
                                <label class="radio-inline" style="padding-right: 15px;">
                                    <input id="qcld_minimum_accept_fontawesome_icon_position" type="radio" name="qcld_minimum_accept_fontawesome_icon_position" value="qcld_left_icon" <?php echo ((get_option('qcld_minimum_accept_fontawesome_icon_position') == 'qcld_left_icon' || get_option('qcld_minimum_accept_fontawesome_icon_position') == '') ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('Left','woo-minimum-acceptable-price') ?> </label>
                            
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_fontawesome_icon_position" type="radio" name="qcld_minimum_accept_fontawesome_icon_position" value="qcld_right_icon" <?php echo (get_option('qcld_minimum_accept_fontawesome_icon_position') == 'qcld_right_icon' ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('Right','woo-minimum-acceptable-price') ?>  </label>
                            </p>
							<p><i><?php esc_html_e('If you want to change frontend button icon position.','woo-minimum-acceptable-price') ?></i></p>						
						</td>
					</tr>


					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Skip showing the minimum acceptable price','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_skip_add_to_cart" size="100" value="<?php echo (get_option('qcld_minimum_accept_skip_add_to_cart')!=''? esc_attr( get_option('qcld_minimum_accept_skip_add_to_cart')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_skip_add_to_cart') == '' ? esc_attr( get_option('qcld_minimum_accept_skip_add_to_cart')): esc_attr( 'checked="checked"' )); ?>  />
							<i><?php esc_html_e('Skip showing the minimum acceptable price','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>

					<?php 
					 // if ( class_exists('WeDevs_Dokan') || class_exists('Dokan_Pro') ) {
					?>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e( 'Bargaining is allowed', 'woo-minimum-acceptable-price' ) ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_dokan_multivendor_user" size="100" value="<?php echo (get_option('qcld_minimum_accept_dokan_multivendor_user')!=''? esc_attr( get_option('qcld_minimum_accept_dokan_multivendor_user')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_dokan_multivendor_user') == '' ? esc_attr( get_option('qcld_minimum_accept_dokan_multivendor_user')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e( 'Dokan multi vendor user', 'woo-minimum-acceptable-price' ) ?></i>						
						</td>
					</tr>
					<?php //} ?>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e( 'Bargaining is allowed', 'woo-minimum-acceptable-price' ) ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_price_enable_shop_page" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_enable_shop_page')!=''? esc_attr( get_option('qcld_minimum_accept_price_enable_shop_page')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_price_enable_shop_page') == '' ? esc_attr( get_option('qcld_minimum_accept_price_enable_shop_page')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e( 'Shop loop with add to cart link', 'woo-minimum-acceptable-price' ) ?></i>						
						</td>
					</tr>
					
					<tr valign="top" class="frontend_shop_loop_button">
						<th scope="row"><?php esc_html_e('Frontend Button position','woo-minimum-acceptable-price') ?></th>
						<td>
                            <p>
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_shop_price_button_position" type="radio" name="qcld_minimum_accept_shop_price_button_position" value="qcld_add_to_cart_button" <?php echo (get_option('qcld_minimum_accept_shop_price_button_position') == 'qcld_add_to_cart_button' ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('Add to Cart Link','woo-minimum-acceptable-price') ?> </label>
                            </p>
                            <p>
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_shop_price_button_position" type="radio" name="qcld_minimum_accept_shop_price_button_position" value="qcld_before_product_title" <?php echo (get_option('qcld_minimum_accept_shop_price_button_position') == 'qcld_before_product_title' ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('Before Product Title','woo-minimum-acceptable-price') ?>  </label>
                            </p>
                            <p>
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_shop_price_button_position" type="radio" name="qcld_minimum_accept_shop_price_button_position" value="qcld_item_product_title" <?php echo (get_option('qcld_minimum_accept_shop_price_button_position') == 'qcld_item_product_title' ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('Product Title','woo-minimum-acceptable-price') ?>  </label>
                            </p>
                            <p>
                                <label class="radio-inline">
                                    <input id="qcld_minimum_accept_shop_price_button_position" type="radio" name="qcld_minimum_accept_shop_price_button_position" value="qcld_after_product_title" <?php echo (get_option('qcld_minimum_accept_shop_price_button_position') == 'qcld_after_product_title' ? esc_attr( 'checked="checked"' ): '' ); ?>>
                                    <?php esc_html_e('After Product Title','woo-minimum-acceptable-price') ?> </label>
                            </p>
                            

							<p><i><?php esc_html_e('If you want to change Frontend Shop loop Button position','woo-minimum-acceptable-price') ?></i></p>						
						</td>
					</tr>
					
					
					<!-- <tr valign="top">
						<th scope="row"><?php esc_html_e( 'Bargaining user limit', 'woo-minimum-acceptable-price' ) ?></th>
						<td>
							<input type="number" name="qcld_minimum_accept_minimum_user_limit" style="width:100px" size="100" value="<?php echo (get_option('qcld_minimum_accept_minimum_user_limit')!=''?esc_attr( get_option('qcld_minimum_accept_minimum_user_limit')):''); ?>"  />	
							<i><b><?php esc_html_e('How many times bargaining is allowed per day','woo-minimum-acceptable-price') ?> </b> <?php esc_html_e('( Leave empty if you do no want to apply user limit )','woo-minimum-acceptable-price') ?> </i>						
						</td>
					</tr> -->
					
					
				</table>
			</div>
			<div id="tab-2">
				<h3><b><?php esc_html_e('Language Settings','woo-minimum-acceptable-price') ?></b></h3>
				<table class="form-table">
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Make Your Offer Now','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_button_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_button_text')!=''?esc_attr( get_option('qcld_minimum_accept_price_button_text')):'Make Your Offer Now'); ?>"  />
							<br><br><i><?php esc_html_e('You can change the button text as your needs.','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Make me an offer that I cannot refuse!','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_heading_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_heading_text')!=''?esc_attr( get_option('qcld_minimum_accept_price_heading_text')):'Make me an offer that I cannot refuse!'); ?>"  />
							<br><br><i><?php esc_html_e('You can change the heading text as your needs.','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('It seems like you have not provided any offer amount. Please give me a number!','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_heading_text_again" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_heading_text_again')!=''?esc_attr( get_option('qcld_minimum_accept_price_heading_text_again')):'It seems like you have not provided any offer amount. Please give me a number!'); ?>"  />
							<br><br><i><?php esc_html_e('You can change the text as your needs.','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Your offered price {offer price} is too low for us. Can you do better?','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_low_alert_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_low_alert_text')!=''?esc_attr( get_option('qcld_minimum_accept_price_low_alert_text')):"Your offered price {offer price} is too low for us. Can you do better?"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Low price alert text as your needs. variable:- {offer price}','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Your offered price {offer price} is too low for us.','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_low_alert_text_two" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_low_alert_text_two')!=''?esc_attr( get_option('qcld_minimum_accept_price_low_alert_text_two')):"Your offered price {offer price} is too low for us."); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Low price alert text as your needs. variable:- {offer price}','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('The best we can do for you is {minimum amount}. Do you accept?','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_too_low_alert_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_too_low_alert_text')!=''?esc_attr( get_option('qcld_minimum_accept_price_too_low_alert_text')):"The best we can do for you is {minimum amount}. Do you accept?"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Low price alert text as your needs. variable:- {offer price}, {minimum amount}','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Your offered price {offer price} is acceptable.','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_acceptable_price" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_acceptable_price')!=''?esc_attr( get_option('qcld_minimum_accept_price_acceptable_price')):"Your offered price {offer price} is acceptable."); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs. variable:- {offer price}','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('We agreed on the price {offer price}. Continue?','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_acceptable_prev_price" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_acceptable_prev_price')!=''?esc_attr( get_option('qcld_minimum_accept_price_acceptable_prev_price')):"We agreed on the price {offer price}. Continue?"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs. variable:- {offer price}','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Should we finalize the deal and add the product to you cart so you can check out?','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_acceptable_copoun_code" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_acceptable_copoun_code')!=''?esc_attr( get_option('qcld_minimum_accept_price_acceptable_copoun_code')):"Should we finalize the deal and add the product to you cart so you can check out?"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Your offer {offer price} is more than I could take. Please purchase at our original cost.','woo-minimum-acceptable-price') ?> </th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_more_than_offer_price" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_more_than_offer_price')!=''?esc_attr( get_option('qcld_minimum_accept_price_more_than_offer_price')):"Your offer {offer price} is more than I could take. Please purchase at our original cost."); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.  variable:- {offer price}','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Please tell me your final price. I will talk to my boss.','woo-minimum-acceptable-price') ?> </th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_talk_to_boss" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_talk_to_boss')!=''?esc_attr( get_option('qcld_minimum_accept_price_talk_to_boss')):"Please tell me your final price. I will talk to my boss."); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Please tell me your email address so I can get back to you.','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_get_email_address" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_get_email_address')!=''?esc_attr( get_option('qcld_minimum_accept_price_get_email_address')):"Please tell me your email address so I can get back to you."); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Please tell me your phone number so I can get back to you.','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_get_phone_number" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_get_phone_number')!=''?esc_attr( get_option('qcld_minimum_accept_price_get_phone_number')):"Please tell me your phone number so I can get back to you."); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Thank you. We will get back to you ASAP!','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_thanks_test" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_thanks_test')!=''?esc_attr( get_option('qcld_minimum_accept_price_thanks_test')):"Thank you. We will get back to you ASAP!"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Negotiating your price...','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_negotiating_test" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_negotiating_test')!=''? esc_attr( get_option('qcld_minimum_accept_price_negotiating_test')): "Negotiating your price..."); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('CONGRATULATIONS!','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_congratulations_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_congratulations_text')!=''?esc_attr( get_option('qcld_minimum_accept_congratulations_text')):"CONGRATULATIONS!"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Added to cart','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_congratulations_added_to_cart_msg" size="100" value="<?php echo (get_option('qcld_minimum_accept_congratulations_added_to_cart_msg')!=''?esc_attr( get_option('qcld_minimum_accept_congratulations_added_to_cart_msg')):"Adding to cart"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Your product successfully added to cart','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_congratulations_added_to_cart" size="100" value="<?php echo (get_option('qcld_minimum_accept_congratulations_added_to_cart')!=''?esc_attr( get_option('qcld_minimum_accept_congratulations_added_to_cart')):"Your product has been added to the cart."); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Modal Submit button text','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_modal_submit_button_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_modal_submit_button_text')!=''?esc_attr( get_option('qcld_minimum_accept_modal_submit_button_text')):"Submit"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Modal Checkout Now button text','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_modal_checkout_now_button_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_modal_checkout_now_button_text')!=''?esc_attr( get_option('qcld_minimum_accept_modal_checkout_now_button_text')):"Checkout Now"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Modal Yes Button Text','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_modal_yes_button_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_modal_yes_button_text')!=''?esc_attr( get_option('qcld_minimum_accept_modal_yes_button_text')):"Yes"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Modal No Button Text','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_modal_no_button_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_modal_no_button_text')!=''?esc_attr( get_option('qcld_minimum_accept_modal_no_button_text')):"No"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Modal OR button text','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_modal_or_button_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_modal_or_button_text')!=''?esc_attr( get_option('qcld_minimum_accept_modal_or_button_text')):"OR"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Product id is empty','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_modal_shortcode_id_empty_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_modal_shortcode_id_empty_text')!=''?esc_attr( get_option('qcld_minimum_accept_modal_shortcode_id_empty_text')):"Product id is empty"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text if bargain shorcode product id is empty.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Minimum Quantity Required','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_min_qty_req_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_min_qty_req_text')!=''?esc_attr( get_option('qcld_minimum_accept_min_qty_req_text')):"Minimum Quantity Required:"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text if Minimum Quantity Required.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Please choose the product variation','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_modal_variation_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_modal_variation_text')!=''?esc_attr( get_option('qcld_minimum_accept_modal_variation_text')):"Please choose the product variation"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Sorry, you have reached maximum number of bargaining allowed.','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_bargain_max_allowed_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_bargain_max_allowed_text')!=''?esc_attr( get_option('qcld_minimum_accept_bargain_max_allowed_text')):"Sorry, you have reached maximum number of bargaining allowed."); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Sorry. You have reached your daily limit for Bargaining today. Please try again after 24 hours.','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_minimum_user_limit_msg_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_minimum_user_limit_msg_text')!=''?esc_attr( get_option('qcld_minimum_accept_minimum_user_limit_msg_text')):"Sorry. You have reached your daily limit for Bargaining today. Please try again after 24 hours."); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Share phone number instead','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_minimum_click_for_use_phone_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_minimum_click_for_use_phone_text')!=''?esc_attr( get_option('qcld_minimum_accept_minimum_click_for_use_phone_text')):"Share phone number instead"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Share email ID instead','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_minimum_click_for_use_email_text" size="100" value="<?php echo (get_option('qcld_minimum_accept_minimum_click_for_use_email_text')!=''?esc_attr( get_option('qcld_minimum_accept_minimum_click_for_use_email_text')):"Share email ID instead"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Response text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
				</table>
			</div>
			<div id="tab-3">
				<h3><b><?php esc_html_e('Exit Intent Settings','woo-minimum-acceptable-price') ?></b></h3>
				<table class="form-table">
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Exit Intent for product single page','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_product_exit_intent_single_page" size="100" value="<?php echo (get_option('qcld_minimum_accept_product_exit_intent_single_page')!=''? esc_attr( get_option('qcld_minimum_accept_product_exit_intent_single_page')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_product_exit_intent_single_page') == '' ? esc_attr( get_option('qcld_minimum_accept_product_exit_intent_single_page')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e('Trigger bargain bot on Exit Intent for product single pages','woo-minimum-acceptable-price') ?></i>
							<br><i style="color:indianred"><?php esc_html_e('** You must set up Global Minimum Product Price under General Settings for it to work properly.','woo-minimum-acceptable-price') ?></i>	
							<?php if ( class_exists('qcld_wb_Chatbot') || class_exists('QCLD_Woo_Chatbot')) { ?>
							<br>						
							<p style="color:indianred"><?php esc_html_e('As you are using WoowBot, you should enable Trigger bargain bot on Exit Intent for product single pages option from the WoowBot Retargeting instead of this option.','woo-minimum-acceptable-price') ?></p>	
							<?php } ?>						
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Show only once per visit.','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_product_exit_intent_one_per_visit" size="100" value="<?php echo (get_option('qcld_minimum_accept_product_exit_intent_one_per_visit')!=''? esc_attr( get_option('qcld_minimum_accept_product_exit_intent_one_per_visit')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_product_exit_intent_one_per_visit') == '' ? esc_attr( get_option('qcld_minimum_accept_product_exit_intent_one_per_visit')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e('Exit Intent Show only once per visit.','woo-minimum-acceptable-price') ?></i>							
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e( 'Individual Exit Intent', 'woo-minimum-acceptable-price' ) ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_product_exit_intent_individual_work" size="100" value="<?php echo (get_option('qcld_minimum_accept_product_exit_intent_individual_work')!=''? esc_attr( get_option('qcld_minimum_accept_product_exit_intent_individual_work')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_product_exit_intent_individual_work') == '' ? esc_attr( get_option('qcld_minimum_accept_product_exit_intent_individual_work')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e('Execute Bargain Bot on Exit Intent even if it is Disabled in general settings','woo-minimum-acceptable-price') ?></i>							
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e("Don't like the price?",'woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_exit_intent_lang_price" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_exit_intent_lang_price')!=''?esc_attr( get_option('qcld_minimum_accept_price_exit_intent_lang_price')):"Don't like the price?"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the button text as your needs.','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('If you have something on your mind, let us know your best offer. Maybe we can work something out together.','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_exit_intent_lang_msg" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_exit_intent_lang_msg')!=''?esc_attr( get_option('qcld_minimum_accept_price_exit_intent_lang_msg')):'If you have something on your mind, let us know your best offer. Maybe we can work something out together.'); ?>"  />
							<br><br><i><?php esc_html_e('You can change the button text as your needs.','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e("Let's Make a Deal",'woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qcld_minimum_accept_price_exit_intent_lang_button" size="100" value="<?php echo (get_option('qcld_minimum_accept_price_exit_intent_lang_button')!=''?esc_attr( get_option('qcld_minimum_accept_price_exit_intent_lang_button')):"Let's Make a Deal"); ?>"  />
							<br><br><i><?php esc_html_e('You can change the button text as your needs.','woo-minimum-acceptable-price') ?></i>
						</td>
					</tr>

				</table>
			</div>
			<div id="tab-4">
				<h3><b><?php esc_html_e('Email Settings','woo-minimum-acceptable-price') ?></b></h3>
				<table class="form-table">
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Emails will be Sent to','woo-minimum-acceptable-price') ?></th>
						<td>
							<?php $admin_email = get_option('admin_email'); ?>
							<input type="text" name="qlcd_map_chatbot_admin_email" size="100" value="<?php echo (get_option('qlcd_map_chatbot_admin_email')!=''?esc_attr( get_option('qlcd_map_chatbot_admin_email')): $admin_email ); ?>"  />
							<br><br><i><?php esc_html_e('You can change the Email Address as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Email Subject','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="text" name="qlcd_map_chatbot_admin_email_subject" size="100" value="<?php echo (get_option('qlcd_map_chatbot_admin_email_subject')!=''?esc_attr( get_option('qlcd_map_chatbot_admin_email_subject')): 'Query details from WPWBot by Client' ); ?>"  />
							<br><br><i><?php esc_html_e('You can change the heading text as your needs.','woo-minimum-acceptable-price') ?> </i>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row"><?php esc_html_e('Send mail to product author','woo-minimum-acceptable-price') ?></th>
						<td>
							<input type="checkbox" name="qcld_minimum_accept_allow_send_mail_to_product_author" size="100" value="<?php echo (get_option('qcld_minimum_accept_allow_send_mail_to_product_author')!=''? esc_attr( get_option('qcld_minimum_accept_allow_send_mail_to_product_author')) : '1' ); ?>" <?php echo (get_option('qcld_minimum_accept_allow_send_mail_to_product_author') == '' ? esc_attr( get_option('qcld_minimum_accept_allow_send_mail_to_product_author')): esc_attr( 'checked="checked"' )); ?>  />	
							<i><?php esc_html_e('Allow send mail to product author to bargain.','woo-minimum-acceptable-price') ?></i>							
						</td>
					</tr>

				</table>
			</div>
			<div id="tab-5">
				<h3><b><?php esc_html_e('Bargain Shortcode','woo-minimum-acceptable-price') ?></b></h3>
				<p><?php esc_html_e('You can add the following shortcode on any page with the product ID so your customers can Bargain and purchase your products.','woo-minimum-acceptable-price') ?></p>
				<p><input type="text" class="qcld-bargain-shortcode-code" name="" value='[qcld_bargain product_id="35" button_text="Make Your Offer"]' style="min-width: 50%" readonly>  </p>
				<p></p>

				<br><br><br>
			</div>
			<div id="tab-6">
				<h3><b><?php esc_html_e('You can paste or write your custom css here','woo-minimum-acceptable-price') ?></b></h3>
				<p><textarea name="qlcd_map_chatbot_custom_global_css" class="form-control qlcd_map_chatbot_custom_global_css" cols="105" rows="20"><?php echo str_replace('\\', '',get_option('qlcd_map_chatbot_custom_global_css')); ?></textarea></p>



				<br><br><br>
			</div>
			<div id="tab-7">
				<h3><b><?php esc_html_e('Help Section','woo-minimum-acceptable-price') ?></b></h3>
				<p><b><?php esc_html_e('Getting started with bargain bot. ','woo-minimum-acceptable-price') ?></b></p>

				<!-- <p><?php esc_html_e('If you enable Bargaining Chatbot option a new "Minimum Acceptable Price" field will be added along with all product which will be your last bargain price. You can set the minimum price with the product to get the "Make Your Offer Now" button visible.','woo-minimum-acceptable-price') ?></p> -->

				<ol style="list-style: circle; width: 60%;">
					<li><p><?php esc_html_e('When you enable Bargain Bot a new field called "Minimum Acceptable Price" will be added under "Sale price" field in General tab of every Product Edit Page. You have to add your minimum acceptable price for each product on which you want to display the Make your offer now button.','woo-minimum-acceptable-price') ?></p>
						<img src="<?php echo QCLD_MAP_EXTENDED_IMG_URL; ?>Screenshot_1.jpg" width="100%" alt="">
					</li>
					<li><p><?php esc_html_e('For variable product','woo-minimum-acceptable-price') ?></p>
						<img src="<?php echo QCLD_MAP_EXTENDED_IMG_URL; ?>Screenshot_399.jpg" width="100%" alt="">
					</li>
					<li><p><?php esc_html_e('Product details page you will see a button called "Make Your Offer Now"','woo-minimum-acceptable-price') ?></p>
						<img src="<?php echo QCLD_MAP_EXTENDED_IMG_URL; ?>Screenshot_2.jpg" width="100%" alt="">
					</li>
					<li><p><?php esc_html_e('When user clicks on the "Make Your Offer Now" button the Lightbox Modal will open and show the product image, title, regular price & sale price. Then user can submit their offer price.','woo-minimum-acceptable-price') ?></p>
						<img src="<?php echo QCLD_MAP_EXTENDED_IMG_URL; ?>bargain-modal.jpg" width="100%" alt="">
					</li>
				</ol>
				<h4><b><?php esc_html_e('Language Change','woo-minimum-acceptable-price') ?></b></h4>
				<p><?php esc_html_e('You can customize language as your need. The default languages are fine for stores using the English language. But you can change the bargain bot responses literally into any language!','woo-minimum-acceptable-price') ?></p>
				<p></p>
				<br>
				<h4><b><?php esc_html_e('Bargain Shortcode','woo-minimum-acceptable-price') ?></b></h4>
				<p><?php esc_html_e('You can add the following shortcode on any page with the product ID so your customers can Bargain and purchase your products.','woo-minimum-acceptable-price') ?></p>
				<p><input type="text" class="qcld-bargain-shortcode-code" name="" value='[qcld_bargain product_id="35" button_text="Make Your Offer"]' style="min-width: 50%" readonly>  </p>
				<p></p>
				<br><br>
			</div>
			
			<?php submit_button(); ?>

		</form>
		
	</div>

	<?php
	}
	
	public function qcld_minimum_accep_price_license_callback(){
		wp_enqueue_script('qcld-wp-bargainator-license-js', plugins_url(basename(plugin_dir_path(__FILE__)) . '/js/wpbot-admin-lisence.js', basename(__FILE__)), array('jquery'), true);
		?>
		<div id="licensing">
				<h1><?php esc_html_e('Please Insert your license Key','woo-minimum-acceptable-price') ?></h1>

				<?php
					$total_active_domain = 0;
					$active_domain_lists = array();
					$track_domain_request = wp_remote_get(qcld_minimum_accept_price_LICENSING_PRODUCT_DEV_URL."wp-json/qc-domain-tracker/v1/getdomain/?license_key=".qcld_get_minimum_accept_price_licensing_key(), array('timeout' => 300));
					if( !is_wp_error( $track_domain_request ) || wp_remote_retrieve_response_code( $track_domain_request ) === 200 ){
						$track_domain_result = json_decode($track_domain_request['body']);
						
						$current_domain_url =  site_url() ;
						$current_domain = str_replace(
												array( 'https://', 'http://', 'www.' ),
												array('', '', ''),
												$current_domain_url
											);
						if( !empty($track_domain_result) ){
							$max_domain_num = $track_domain_result[0]->max_domain + 1;
							$total_domains = json_decode($track_domain_result[0]->domain, true);
							$total_domains_num = count($total_domains);

							foreach ($total_domains as $key => $value) {
								if( !isset($value['status']) || $value['status'] == 'active' ){
									$total_active_domain++;
									$active_domain_lists[] = $value['domain_name'];
								}
							}

							if($total_active_domain == $max_domain_num){
							//if( $max_domain_num < $total_active_domain ){
								//$first_domain_name = $total_domains[0]['domain_name'];
								if( !in_array($current_domain, $active_domain_lists) ){
									qcld_set_minimum_accept_price_invalid_license();
									delete_minimum_accept_price_valid_license();
						?>
									<div class="qcld-error-notice">
										<p><?php esc_html_e('You have activated this key for maximum number of sites allowed by your license. Please','woo-minimum-acceptable-price') ?> <a href='<?php echo esc_url("https://www.quantumcloud.com/products/"); ?>'> <?php esc_html_e('purchase additional license.','woo-minimum-acceptable-price') ?></a></p>
									</div>
						<?php
								}
							}
						}
						
					}
				?>

				<?php if( qcld_get_minimum_accept_price_valid_license() ){ ?>
					<div class="qcld-success-notice">
						<p> <?php esc_html_e('Thank you, Your License is active.','woo-minimum-acceptable-price') ?> <?php if( qcld_get_minimum_accept_price_licensing_buy_from() == 'codecanyon' ){ ?> <?php esc_html_e('Please','woo-minimum-acceptable-price') ?> <a href="<?php echo esc_url('https://envato.com/market-plugin/'); ?>"> <?php esc_html_e('Download','woo-minimum-acceptable-price') ?> </a>  <?php esc_html_e('the Envato Market Plugin to Get Auto Updates During Your Support Period.','woo-minimum-acceptable-price') ?> <?php } ?></p>
					</div>
				<?php } ?>
				
				<form onsubmit="return false" id="qc-license-form" method="post" action="options.php">
					<?php
						delete_minimum_accept_price_update_transient();
						delete_minimum_accept_price_renew_transient();
						
						delete_option('_site_transient_update_plugins');
						settings_fields( 'qcld_minimum_accept_price_license' );
						do_settings_sections( 'qcld_minimum_accept_price_license' );

					?>
					<table class="form-table">
						

						<tr id="quantumcloud_portfolio_license_row" style="display: none">
							<th>
								<label for="qcld_minimum_accept_price_enter_license_key"><?php esc_html_e('Enter License Key:','woo-minimum-acceptable-price') ?></label>
							</th>
							<td>
								<input type="<?php echo (qcld_get_minimum_accept_price_licensing_key()!=''?'password':'text'); ?>" id="qcld_minimum_accept_price_enter_license_key" name="qcld_minimum_accept_price_enter_license_key" class="regular-text" value="<?php echo qcld_get_minimum_accept_price_licensing_key(); ?>">
								<p><?php esc_html_e('You can copy the license key from','woo-minimum-acceptable-price') ?> <a target="_blank" href='<?php echo esc_url('https://www.quantumcloud.com/products/account/'); ?>'><?php esc_html_e('your account','woo-minimum-acceptable-price') ?></a></p>
							</td>
						</tr>

						<tr id="show_envato_plugin_downloader" style="display: none">
							<th>
								<label for="qcld_minimum_accept_price_enter_envato_key"><?php esc_html_e('Enter Purchase Code:','woo-minimum-acceptable-price') ?></label>
							</th>
							<td colspan="4">
								<input type="<?php echo (qcld_get_minimum_accept_price_envato_key()!=''?'password':'text'); ?>" id="qcld_minimum_accept_price_enter_envato_key" name="qcld_minimum_accept_price_enter_envato_key" class="regular-text" value="<?php echo esc_attr(qcld_get_minimum_accept_price_envato_key()); ?>">
								<p><?php esc_html_e('You can install the','woo-minimum-acceptable-price') ?> <a target="_blank" href="<?php echo esc_url('https://envato.com/market-plugin/') ?>"><?php esc_html_e('Envato Plugin','woo-minimum-acceptable-price') ?></a> <?php esc_html_e('to stay up to date.','woo-minimum-acceptable-price') ?></p>
							</td>
						</tr>
						
						<tr>
							<th>
								<label for="qcld_minimum_accept_price_enter_license_or_purchase_key"><?php esc_html_e('Enter License Key or Purchase Code:','woo-minimum-acceptable-price') ?></label>
							</th>
							<td>
								<input type="<?php echo esc_attr(qcld_get_minimum_accept_price_license_purchase_code()!=''?'password':'text'); ?>" id="qcld_minimum_accept_price_enter_license_or_purchase_key" name="qcld_minimum_accept_price_enter_license_or_purchase_key" class="regular-text" value="<?php echo esc_attr(qcld_get_minimum_accept_price_license_purchase_code()); ?>" required>
							</td>
						</tr>

					</table>
					<!-- //start new-update-for-codecanyon -->
					<input type="hidden" name="qcld_minimum_accept_price_buy_from_where" value="<?php echo esc_attr(qcld_get_minimum_accept_price_licensing_buy_from()); ?>" >
					<!-- //end new-update-for-codecanyon -->
					<?php submit_button(); ?>
				</form>

			</div>
			<div class="container">
				<h1><?php esc_html_e('Help Section','woo-minimum-acceptable-price') ?></h1>
				<p><b>1.</b> <?php esc_html_e('Click on the Chatbot Bargainator menu and enable the option "Enable Bargainator" from settings tab.','woo-minimum-acceptable-price') ?></p>
				<p><b>2.</b> <?php esc_html_e('After enable this option a new "Minimum Acceptable Price" field will be added along with all product which will be your last bargain price. You have to set the minimum price with the product to get the "Make Your Offer Now" button visible.','woo-minimum-acceptable-price') ?></p>
			</div>
		<?php 
		
	}
	
}
new Qcld_Bargain_pro_Admin_Area_Controller();



/*****************************************************
 * Plugin default data set when activation.
 *****************************************************/
register_activation_hook(__FILE__, 'qcld_bargain_pro_minimum_accept_price_options');
if (!function_exists('qcld_bargain_pro_minimum_accept_price_options')) {
	function qcld_bargain_pro_minimum_accept_price_options(){
		
		if(!get_option('qcld_minimum_accept_price_enable')) {
	        update_option('qcld_minimum_accept_price_enable', 1);
	    }
		
		if(!get_option('qcld_minimum_accept_price_button_position')) {
	        update_option('qcld_minimum_accept_price_button_position', 'qcld_after_add_to_cart_button');
	    }
		
		if(!get_option('qcld_minimum_accept_price_button_position')) {
	        update_option('qcld_minimum_accept_price_button_position', 'qcld_after_add_to_cart_button');
	    }
		
		if(!get_option('qcld_minimum_accept_price_symbol_position')) {
	        update_option('qcld_minimum_accept_price_symbol_position', '');
	    }
		
		if(!get_option('qcld_minimum_accept_skip_add_to_cart')) {
	        update_option('qcld_minimum_accept_skip_add_to_cart', '');
	    }
		
		if(!get_option('qcld_minimum_accept_fontawesome_icon_position')) {
	        update_option('qcld_minimum_accept_fontawesome_icon_position', '');
	    }
		
		if(!get_option('qcld_minimum_accept_bargain_allowed_times')) {
	        update_option('qcld_minimum_accept_bargain_allowed_times', 3);
	    }
		
		if(!get_option('qcld_minimum_accept_bargain_max_allowed_times')) {
	        update_option('qcld_minimum_accept_bargain_max_allowed_times', 2);
	    }
		
		if(!get_option('qcld_minimum_accept_enable_minimum_quantity')) {
	        update_option('qcld_minimum_accept_enable_minimum_quantity', '');
	    }
		
		if(!get_option('qcld_minimum_accept_minimum_quantity')) {
	        update_option('qcld_minimum_accept_minimum_quantity', 1);
	    }
		
		if(!get_option('qcld_minimum_accept_minimum_user_limit_enable')) {
	        update_option('qcld_minimum_accept_minimum_user_limit_enable', 5);
	    }
		
		if(!get_option('qcld_minimum_accept_minimum_user_limit')) {
	        update_option('qcld_minimum_accept_minimum_user_limit', '');
	    }
		
		if(!get_option('qcld_minimum_accept_product_disable_email')) {
	        update_option('qcld_minimum_accept_product_disable_email', '');
	    }
		
		if(!get_option('qcld_minimum_accept_product_disable_phone')) {
	        update_option('qcld_minimum_accept_product_disable_phone', '');
	    }
		
		if(!get_option('qcld_minimum_accept_dokan_multivendor_user')) {
	        update_option('qcld_minimum_accept_dokan_multivendor_user', '');
	    }
		
		if(!get_option('qcld_minimum_accept_fontawesome_icon')) {
	        update_option('qcld_minimum_accept_fontawesome_icon', 'fa-gavel');
	    }
		
		
		if(!get_option('qcld_minimum_accept_price_button_text')) {
	        update_option('qcld_minimum_accept_price_button_text', 'Make Your Offer Now');
	    }
		
		if(!get_option('qcld_minimum_accept_price_heading_text')) {
	        update_option('qcld_minimum_accept_price_heading_text', 'Make me an offer that I cannot refuse!');
	    }
		if(!get_option('qcld_minimum_accept_price_heading_text_again')) {
	        update_option('qcld_minimum_accept_price_heading_text_again', 'It seems like you have not provided any offer amount. Please give me a number!');
	    }
		
		if(!get_option('qcld_minimum_accept_price_low_alert_text')) {
	        update_option('qcld_minimum_accept_price_low_alert_text', "Your offered price {offer price} is too low for us. Can you do better?");
	    }
		
		if(!get_option('qcld_minimum_accept_price_low_alert_text_two')) {
	        update_option('qcld_minimum_accept_price_low_alert_text_two', "Your offered price {offer price} is too low for us.");
	    }
		
		if(!get_option('qcld_minimum_accept_price_too_low_alert_text')) {
	        update_option('qcld_minimum_accept_price_too_low_alert_text', "The best we can do for you is {minimum amount}. Do you accept?");
	    }
		
		if(!get_option('qcld_minimum_accept_price_acceptable_price')) {
	        update_option('qcld_minimum_accept_price_acceptable_price', "Your offered price {offer price} is acceptable.");
	    }
		if(!get_option('qcld_minimum_accept_price_acceptable_prev_price')) {
	        update_option('qcld_minimum_accept_price_acceptable_prev_price', "We agreed on the price {offer price}. Continue?");
	    }
		if(!get_option('qcld_minimum_accept_price_acceptable_copoun_code')) {
	        update_option('qcld_minimum_accept_price_acceptable_copoun_code', "Should we finalize the deal and add the product to you cart so you can check out?");
	    }
		
		if(!get_option('qcld_minimum_accept_price_more_than_offer_price')) {
	        update_option('qcld_minimum_accept_price_more_than_offer_price', "Your offer {offer price} is more than I could take. Please purchase at our original cost.");
	    }
		
		
		if(!get_option('qcld_minimum_accept_price_talk_to_boss')) {
	        update_option('qcld_minimum_accept_price_talk_to_boss', "Please tell me your final price. I will talk to my boss.");
	    }
		
		if(!get_option('qcld_minimum_accept_price_get_email_address')) {
	        update_option('qcld_minimum_accept_price_get_email_address', "Please tell me your email address so i can get back to you.");
	    }
		
		if(!get_option('qcld_minimum_accept_price_get_phone_number')) {
	        update_option('qcld_minimum_accept_price_get_phone_number', "Please tell me your phone number so i can get back to you.");
	    }

		if(!get_option('qcld_minimum_accept_price_thanks_test')) {
	        update_option('qcld_minimum_accept_price_thanks_test', "Thank you. We will get back to you ASAP!");
	    }

		if(!get_option('qcld_minimum_accept_price_negotiating_test')) {
	        update_option('qcld_minimum_accept_price_negotiating_test', "Negotiating your price...");
	    }

		if(!get_option('qcld_minimum_accept_congratulations_text')) {
	        update_option('qcld_minimum_accept_congratulations_text', "CONGRATULATIONS!");
	    }

		if(!get_option('qcld_minimum_accept_congratulations_added_to_cart_msg')) {
	        update_option('qcld_minimum_accept_congratulations_added_to_cart_msg', "Adding to cart");
	    }

		if(!get_option('qcld_minimum_accept_congratulations_added_to_cart')) {
	        update_option('qcld_minimum_accept_congratulations_added_to_cart', "Your product has been added to the cart.");
	    }

		if(!get_option('qcld_minimum_accept_modal_submit_button_text')) {
	        update_option('qcld_minimum_accept_modal_submit_button_text', "Submit");
	    }

		if(!get_option('qcld_minimum_accept_modal_checkout_now_button_text')) {
	        update_option('qcld_minimum_accept_modal_checkout_now_button_text', "Checkout Now");
	    }

		if(!get_option('qcld_minimum_accept_modal_yes_button_text')) {
	        update_option('qcld_minimum_accept_modal_yes_button_text', "Yes");
	    }

		if(!get_option('qcld_minimum_accept_modal_no_button_text')) {
	        update_option('qcld_minimum_accept_modal_no_button_text', "No");
	    }

		if(!get_option('qcld_minimum_accept_modal_or_button_text')) {
	        update_option('qcld_minimum_accept_modal_or_button_text', "OR");
	    }

		if(!get_option('qcld_minimum_accept_modal_shortcode_id_empty_text')) {
	        update_option('qcld_minimum_accept_modal_shortcode_id_empty_text', "Product id is empty");
	    }

		if(!get_option('qcld_minimum_accept_min_qty_req_text')) {
	        update_option('qcld_minimum_accept_min_qty_req_text', "Minimum Quantity Required:");
	    }

		if(!get_option('qcld_minimum_accept_modal_variation_text')) {
	        update_option('qcld_minimum_accept_modal_variation_text', "Please choose the product variation");
	    }

		if(!get_option('qcld_minimum_accept_bargain_max_allowed_text')) {
	        update_option('qcld_minimum_accept_bargain_max_allowed_text', "Sorry, you have reached maximum number of bargaining allowed.");
	    }

		if(!get_option('qcld_minimum_accept_minimum_user_limit_msg_text')) {
	        update_option('qcld_minimum_accept_minimum_user_limit_msg_text', "Sorry. You have reached your daily limit for Bargaining today. Please try again after 24 hours.");
	    }

		if(!get_option('qcld_minimum_accept_minimum_click_for_use_email_text')) {
	        update_option('qcld_minimum_accept_minimum_user_limit_msg_text', "Share email ID instead");
	    }

		if(!get_option('qcld_minimum_accept_minimum_click_for_use_phone_text')) {
	        update_option('qcld_minimum_accept_minimum_user_limit_msg_text', "Share phone number instead");
	    }

		if(!get_option('qlcd_map_chatbot_admin_email')) {
			$admin_email = get_option('admin_email');
	        update_option('qlcd_map_chatbot_admin_email', $admin_email);
	    }

		if(!get_option('qlcd_map_chatbot_admin_email_subject')) {
	        update_option('qlcd_map_chatbot_admin_email_subject', 'Query details from WPWBot by Client');
	    }

	    // exit intent

		if(!get_option('qcld_minimum_accept_product_exit_intent_single_page')) {
	        update_option('qcld_minimum_accept_product_exit_intent_single_page', 1);
	    }

		if(!get_option('qcld_minimum_accept_product_exit_intent_one_per_visit')) {
	        update_option('qcld_minimum_accept_product_exit_intent_one_per_visit', 1);
	    }

		if(!get_option('qcld_minimum_accept_price_exit_intent_lang_price')) {
	        update_option('qcld_minimum_accept_price_exit_intent_lang_price', "Don't like the price?");
	    }

		if(!get_option('qcld_minimum_accept_price_exit_intent_lang_msg')) {
	        update_option('qcld_minimum_accept_price_exit_intent_lang_msg', 'If you have something on your mind, let us know your best offer. Maybe we can work something out together.');
	    }

		if(!get_option('qcld_minimum_accept_price_exit_intent_lang_button')) {
	        update_option('qcld_minimum_accept_price_exit_intent_lang_button', "Let's Make a Deal");
	    }

		if(!get_option('qcld_minimum_accept_shop_price_button_position')) {
	        update_option('qcld_minimum_accept_shop_price_button_position', "qcld_add_to_cart_button");
	    }

	    /**
	     * Free version replace code.
	     */
	    $free = array( 'bargain/wpbot-minimum-acceptable-price-addon.php' );

	    $all_plugins = get_plugins();
	    foreach( $all_plugins as $plugin => $plugin_details ){
	        if( in_array( $plugin, $free ) ){
	            if( is_plugin_active( $plugin ) ){
	                if( deactivate_plugins( array( $plugin ) ) ){
	                    delete_plugins( array( $plugin ) );
	                }
	            } else {
	                delete_plugins( array( $plugin ) );
	            }
	        }
	    }
	    /**
	     * Free version replace code End.
	     */



		
	}

}

//variation for variable product
// add_action( 'qcld_minimum_product_variation', 'woocommerce_template_single_price');
add_action( 'qcld_minimum_product_variation', 'woocommerce_template_single_add_to_cart');



/*
add_filter( 'woocommerce_loop_add_to_cart_link', 'mish_before_after_btn', 10, 3 );

function mish_before_after_btn( $add_to_cart_html, $product, $args ){

	$before = '<p>Some custom text before</p>'; // Some text or HTML here
	$after = '<p>Some custom text after</p>'; // Add some text or HTML here as well

	return $before . $add_to_cart_html . $after;
}*/