<?php

defined('ABSPATH') or die("No direct script access!");

//Loading frontend style & scripts based on the above condition.
if (!function_exists('qcld_bargain_load_front_scripts')){
function qcld_bargain_load_front_scripts(){

    $qcld_minimum_accept_price_enable = get_option('qcld_minimum_accept_price_enable');
    $qcld_minimum_accept_product_exit_intent_individual_work = get_option('qcld_minimum_accept_product_exit_intent_individual_work');

    if( $qcld_minimum_accept_price_enable == '1' || $qcld_minimum_accept_product_exit_intent_individual_work == '1'){

        global $post;

        // Check for the minimum price value
        $product  = wc_get_product( $post->ID );
        
        //Styles
        wp_enqueue_style( 'qcld_bargain_fontawesome_css', QCLD_MAP_PLUGIN_URL . 'css/font-awesome.min.css');
        wp_enqueue_style( 'qcld_bargain_animate_css', QCLD_MAP_PLUGIN_URL . 'css/wpbot-map-animate.css');
        wp_enqueue_style( 'qcld_bargain_front_custom_css', QCLD_MAP_PLUGIN_URL . 'css/wpbot-minimum-acceptable-price-custom-front.css');

        $qlcd_map_chatbot_custom_global_css   = str_replace('\\', '',get_option('qlcd_map_chatbot_custom_global_css'));

        wp_add_inline_style( 'qcld_bargain_front_custom_css', $qlcd_map_chatbot_custom_global_css );

        if ( is_product() ){

            wp_enqueue_style( 'qcld_bargain_magnific_popup_css', QCLD_MAP_PLUGIN_URL . 'css/wpbot-map-magnific-popup.css');
            wp_enqueue_script( 'qcld_bargain_magnific_popup_js', QCLD_MAP_PLUGIN_URL . 'js/wpbot-jquery.magnific-popup.min.js', array('jquery'));
            
        }

        //Scripts
        wp_enqueue_script( 'jquery', 'jquery');

        wp_enqueue_script( 'qcld_bargain_cookie_js', QCLD_MAP_PLUGIN_URL . 'js/wpbot-jquery.cookie.js', array('jquery'));

        // checking product is in stock
        if(is_product() && !$product->is_in_stock()) {
            return;
        }

        $qcld_minimum_accept_product_exclude    = get_option('qcld_minimum_accept_product_exclude');
        if(!empty($qcld_minimum_accept_product_exclude)){
            if(is_product() && $product->is_on_sale() ) {
                return;
            }
        }

        $exit_intent_check_for_validate_page = 'false';

        if(  ( is_product() && $product->is_type( 'simple' ) ) || ( is_product() && $product->is_type( 'variable' ) ) ){

            $exit_intent_check_for_validate_page = 'true';
        }

        $page_check = is_single();

        wp_enqueue_script( 'qcld_bargain_custom_js', QCLD_MAP_PLUGIN_URL . 'js/wpbot-minimum-acceptable-price-custom.js', array('jquery'));

        wp_add_inline_script( 'qcld_bargain_custom_js', 
            'var qcld_map_ajaxurl = "' . admin_url('admin-ajax.php') . '"; 
             var qcld_map_ajax_nonce = "'.wp_create_nonce( 'woo-minimum-acceptable-price' ).'";  
             var qcld_map_currency_symbol = "'.get_woocommerce_currency_symbol().'";  
             var qcld_map_your_offer_price = "'.esc_html(get_option('qcld_minimum_accept_price_heading_text')).'";  
             var qcld_map_your_low_price_alert = "'.esc_html(get_option('qcld_minimum_accept_price_low_alert_text_two')).'";  
             var qcld_map_your_too_low_price_alert = "'.esc_html(get_option('qcld_minimum_accept_price_too_low_alert_text')).'";  
             var qcld_map_talk_to_boss = "'.esc_html(get_option('qcld_minimum_accept_price_talk_to_boss')).'";  
             var qcld_map_get_email_address = "'.esc_html(get_option('qcld_minimum_accept_price_get_email_address')).'";  
             var qcld_map_get_phone_number = "'.esc_html(get_option('qcld_minimum_accept_price_get_phone_number')).'";  
             var qcld_map_thanks_test = "'.esc_html(get_option('qcld_minimum_accept_price_thanks_test')).'";  
             var map_acceptable_price = "'.esc_html(get_option('qcld_minimum_accept_price_acceptable_price')).'"; 
             var map_acceptable_prev_price = "'.esc_html(get_option('qcld_minimum_accept_price_acceptable_prev_price')).'";  
             var qcld_map_price_negotiating_test = "'.esc_html(get_option('qcld_minimum_accept_price_negotiating_test')).'";  
             var qcld_map_modal_submit_button = "'.esc_html(get_option('qcld_minimum_accept_modal_submit_button_text')).'";  
             var qcld_map_pro_added_to_cart_msg = "'.esc_html(get_option('qcld_minimum_accept_congratulations_added_to_cart_msg')).'";  
             var qcld_map_pro_checkout_now_button_text = "'.esc_html(get_option('qcld_minimum_accept_modal_checkout_now_button_text')).'";  
             var qcld_map_pro_exit_intent = "'.esc_html(get_option('qcld_minimum_accept_product_exit_intent_single_page')).'";  
             var qcld_map_pro_one_per_visit = "'.esc_html(get_option('qcld_minimum_accept_product_exit_intent_one_per_visit')).'";  
             var qcld_map_pro_get_checkout_url = "'.wc_get_checkout_url().'";  
             var qcld_map_pro_get_is_product = "'.is_product().'";  
             var exit_intent_check_for_validate_page = "'.$exit_intent_check_for_validate_page.'";  
             var qcld_map_pro_get_ajax_nonce = "'.wp_create_nonce( 'woo-minimum-acceptable-price').'";  
             var qcld_minimum_accept_price_enable = "'.esc_html(get_option('qcld_minimum_accept_price_enable')).'";  
             var qcld_minimum_accept_modal_yes_button_text = "'.esc_html(get_option('qcld_minimum_accept_modal_yes_button_text')).'";  
             var qcld_minimum_accept_modal_no_button_text = "'.esc_html(get_option('qcld_minimum_accept_modal_no_button_text')).'";  
             var qcld_minimum_accept_modal_or_button_text = "'.esc_html(get_option('qcld_minimum_accept_modal_or_button_text')).'"; 
             var qcld_minimum_accept_price_symbol_position = "'.esc_html(get_option('qcld_minimum_accept_price_symbol_position')).'";  
             var qcld_bargain_allowed_times = "'.esc_html(get_option('qcld_minimum_accept_bargain_allowed_times')).'";  
             var qcld_bargain_allowed_max_times = "'.esc_html(get_option('qcld_minimum_accept_bargain_max_allowed_times')).'";  
             var qcld_bargain_allowed_max_text = "'.esc_html(get_option('qcld_minimum_accept_bargain_max_allowed_text')).'";  
             var qcld_disable_email = "'.esc_html(get_option('qcld_minimum_accept_product_disable_email')).'";  
             var qcld_enable_phone = "'.esc_html(get_option('qcld_minimum_accept_product_disable_phone')).'";  
             var qcld_minimum_accept_min_quantity = "'.(esc_html(get_option('qcld_minimum_accept_minimum_quantity')) ? esc_html(get_option('qcld_minimum_accept_minimum_quantity')) : 1).'";  
             var qcld_minimum_accept_min_qty_req_text = "'.esc_html(get_option('qcld_minimum_accept_min_qty_req_text')).'";  
             var qcld_minimum_accept_enable_minimum_quantity = "'.esc_html(get_option('qcld_minimum_accept_enable_minimum_quantity')).'";  
             var qcld_minimum_accept_skip_add_to_cart = "'.esc_html(get_option('qcld_minimum_accept_skip_add_to_cart')).'";  
             var qcld_minimum_accept_minimum_user_limit_enable = "'.esc_html(get_option('qcld_minimum_accept_minimum_user_limit_enable')).'";  
             var qcld_minimum_accept_minimum_user_limit = "'.esc_html(get_option('qcld_minimum_accept_bargain_max_allowed_times')).'";  
             var qcld_minimum_accept_minimum_user_limit_msg_text = "'.esc_html(get_option('qcld_minimum_accept_minimum_user_limit_msg_text')).'";  
             var qcld_minimum_accept_minimum_click_for_use_phone_text = "'.esc_html(get_option('qcld_minimum_accept_minimum_click_for_use_phone_text')).'";  
             var qcld_minimum_accept_minimum_click_for_use_email_text = "'.esc_html(get_option('qcld_minimum_accept_minimum_click_for_use_email_text')).'";  
             var qcld_minimum_accept_minimum_page_check = "'.$page_check.'";  
             ', 'before');

    }


}
}
add_action('wp_enqueue_scripts', 'qcld_bargain_load_front_scripts');


add_action('admin_enqueue_scripts','qcld_bargain_load_admin_scripts');
if (!function_exists('qcld_bargain_load_admin_scripts')){
    function qcld_bargain_load_admin_scripts() {

        wp_enqueue_style( 'qcld-wp-bargainator-select2-style', QCLD_MAP_PLUGIN_URL . 'css/select2.css');

        wp_enqueue_script('qcld-wp-bargainator-select-js', plugins_url(basename(plugin_dir_path(__FILE__)) . '/js/select2.js', basename(__FILE__)), array('jquery'), true);
        wp_enqueue_script('qcld-wp-bargainator-custom-js', plugins_url(basename(plugin_dir_path(__FILE__)) . '/js/wpbot-admin-custom.js', basename(__FILE__)), array('jquery', 'jquery-ui-tabs'), true);
    }
}